summaryrefslogtreecommitdiffstats
path: root/test/integration/targets/loop_control/runme.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/integration/targets/loop_control/runme.sh')
-rwxr-xr-xtest/integration/targets/loop_control/runme.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/test/integration/targets/loop_control/runme.sh b/test/integration/targets/loop_control/runme.sh
new file mode 100755
index 0000000..af065ea
--- /dev/null
+++ b/test/integration/targets/loop_control/runme.sh
@@ -0,0 +1,12 @@
+#!/usr/bin/env bash
+
+set -eux
+
+# user output has:
+#ok: [localhost] => (item=looped_var foo_label) => {
+#ok: [localhost] => (item=looped_var bar_label) => {
+MATCH='foo_label
+bar_label'
+[ "$(ansible-playbook label.yml "$@" |grep 'item='|sed -e 's/^.*(item=looped_var \(.*\)).*$/\1/')" == "${MATCH}" ]
+
+ansible-playbook extended.yml "$@"